Skip to main content
Batch Get Slo
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/slo/slos/v1/all/list \
  --header 'Authorization: <api-key>'
{
  "slos": [
    {
      "apmSli": {
        "errorConfig": {},
        "filters": [
          {
            "key": "environment",
            "value": "production",
            "values": [
              "500"
            ]
          }
        ],
        "groupingKeys": [
          "environment",
          "region"
        ],
        "services": [
          "my-service",
          "payment-service"
        ]
      },
      "apmSliMetadata": {
        "errorConfig": {},
        "filters": [
          {
            "key": "environment",
            "value": "production",
            "values": [
              "500"
            ]
          }
        ],
        "groupingKeys": [
          "environment",
          "region"
        ],
        "services": [
          "my-service",
          "payment-service"
        ]
      },
      "createTime": "2023-11-07T05:31:56Z",
      "creator": "test@domain.com",
      "description": "A brief description of my SLO",
      "grouping": {
        "labels": [
          "<string>"
        ]
      },
      "id": "b11919d5-ef85-4bb1-8655-02640dbe94d9",
      "labels": {},
      "name": "Example Slo Name",
      "ownershipTags": {
        "environment": {
          "labelKeys": [
            "deployment_environment",
            "k8s_namespace"
          ],
          "resolvedValues": [
            "checkout-api",
            "production",
            "staging",
            "payments-ns"
          ],
          "staticValues": [
            "checkout-api"
          ]
        },
        "service": {
          "labelKeys": [
            "deployment_environment",
            "k8s_namespace"
          ],
          "resolvedValues": [
            "checkout-api",
            "production",
            "staging",
            "payments-ns"
          ],
          "staticValues": [
            "checkout-api"
          ]
        },
        "team": {
          "labelKeys": [
            "deployment_environment",
            "k8s_namespace"
          ],
          "resolvedValues": [
            "checkout-api",
            "production",
            "staging",
            "payments-ns"
          ],
          "staticValues": [
            "checkout-api"
          ]
        }
      },
      "revision": {
        "revision": 1,
        "updateTime": "2023-11-07T05:31:56Z"
      },
      "targetThresholdPercentage": 99.999,
      "type": "request",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "notFoundIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

ids
string[]

The ids.

The ids.

Response

Response containing a batch of SLOs and any IDs not found.

slos
Slo · object[]
required

The slos.

Definition of an SLO

notFoundIds
string[]

The not found ids.

The not found ids.